Bug 30917 - Improve course reserves breadcrumbs
Summary: Improve course reserves breadcrumbs
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-06-07 11:33 UTC by Owen Leonard
Modified: 2022-06-14 11:29 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00


Attachments
Bug 30917: Improve course reserves breadcrumbs (4.99 KB, patch)
2022-06-07 11:39 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 30917: Improve course reserves breadcrumbs (4.97 KB, patch)
2022-06-08 11:31 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 30917: Improve course reserves breadcrumbs (5.02 KB, patch)
2022-06-08 11:49 UTC, David Nind
Details | Diff | Splinter Review
Bug 30917: Improve course reserves breadcrumbs (5.08 KB, patch)
2022-06-09 21:23 UTC, Lucas Gass
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2022-06-07 11:33:08 UTC
I think it would be useful to add a link in the breadcrumbs to the course view from the "add items" pages:

Home > Course reserves > [Course name] > Add reserves
Comment 1 Owen Leonard 2022-06-07 11:39:49 UTC
Created attachment 135753 [details] [review]
Bug 30917: Improve course reserves breadcrumbs

This patch adds course name to the breadcrumbs and page title on the
pages for adding items to a course.

To test, apply the patch and go to course reserves.

- Click a course to view it.
- Click the "Add reserves" button.
- In the breadcrumbs you should see:

  Home > Course reserves > [Course name] > Add reserves

- [Course name] should link correctly to the course detail view. In the
  page title you should see:

  Add reserves > [Course name] > Course reserves > Home

- Enter a barcode or biblionumber and proceed to the next step. Confirm
  that the same changes are in effect on the second page.
- Perform the same tests in the "Batch add reserves" process.
Comment 2 David Nind 2022-06-07 23:58:37 UTC
When adding items:

1. [Course name] is in italics

2. Page title is: Add items > [Course name] > Course reserves > Koha

This is the same for batch add reserves.
Comment 3 Owen Leonard 2022-06-08 11:31:59 UTC
Created attachment 135794 [details] [review]
Bug 30917: Improve course reserves breadcrumbs

This patch adds course name to the breadcrumbs and page title on the
pages for adding items to a course.

To test, apply the patch and go to course reserves.

- Click a course to view it.
- Click the "Add reserves" button.
- In the breadcrumbs you should see:

  Home > Course reserves > [Course name] > Add reserves

- [Course name] should link correctly to the course detail view. In the
  page title you should see:

  Add reserves > [Course name] > Course reserves > Home

- Enter a barcode or biblionumber and proceed to the next step. Confirm
  that the same changes are in effect on the second page.
- Perform the same tests in the "Batch add reserves" process.
Comment 4 David Nind 2022-06-08 11:49:47 UTC
Created attachment 135795 [details] [review]
Bug 30917: Improve course reserves breadcrumbs

This patch adds course name to the breadcrumbs and page title on the
pages for adding items to a course.

To test, apply the patch and go to course reserves.

- Click a course to view it.
- Click the "Add reserves" button.
- In the breadcrumbs you should see:

  Home > Course reserves > [Course name] > Add reserves

- [Course name] should link correctly to the course detail view. In the
  page title you should see:

  Add reserves > [Course name] > Course reserves > Home

- Enter a barcode or biblionumber and proceed to the next step. Confirm
  that the same changes are in effect on the second page.
- Perform the same tests in the "Batch add reserves" process.

Signed-off-by: David Nind <david@davidnind.com>
Comment 5 Lucas Gass 2022-06-09 21:23:58 UTC
Created attachment 135915 [details] [review]
Bug 30917: Improve course reserves breadcrumbs

This patch adds course name to the breadcrumbs and page title on the
pages for adding items to a course.

To test, apply the patch and go to course reserves.

- Click a course to view it.
- Click the "Add reserves" button.
- In the breadcrumbs you should see:

  Home > Course reserves > [Course name] > Add reserves

- [Course name] should link correctly to the course detail view. In the
  page title you should see:

  Add reserves > [Course name] > Course reserves > Home

- Enter a barcode or biblionumber and proceed to the next step. Confirm
  that the same changes are in effect on the second page.
- Perform the same tests in the "Batch add reserves" process.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 6 Lucas Gass 2022-06-09 21:24:58 UTC
Nice improvement. Straightforward template changes which look good. No complaints from the QA scripts.
Comment 7 Tomás Cohen Arazi 2022-06-14 11:29:40 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!